salesforce.cdp.hyperdb.v1

## Class HyperServiceGrpc.HyperServiceImplBase

- java.lang.Object
- - salesforce.cdp.hyperdb.v1.HyperServiceGrpc.HyperServiceImplBase

All Implemented Interfaces:
  io.grpc.BindableService, HyperServiceGrpc.AsyncService

Enclosing class:
  HyperServiceGrpc

    public abstract static class HyperServiceGrpc.HyperServiceImplBase
    extends Object
    implements io.grpc.BindableService, HyperServiceGrpc.AsyncService

Base class for the server implementation of the service HyperService.

### Constructor Summary

Constructors
Constructor and Description
`HyperServiceImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.ServerServiceDefinition` `bindService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface salesforce.cdp.hyperdb.v1.HyperServiceGrpc.AsyncService

`cancelQuery, executeQuery, getQueryInfo, getQueryResult`

### Constructor Detail

#### HyperServiceImplBase

    public HyperServiceImplBase()

### Method Detail

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`